import React from "react";
import Accordion from "devextreme-react/accordion";
import { CustomTitle } from "./UIComponent";
import { AccordionProps } from "./types";

const PsAccordion = (props: AccordionProps) => {
  const { dataSource,Component } = props;
  return (
    <div id="accordion">
      <Accordion
        dataSource={dataSource}
        itemTitleRender={CustomTitle}
        itemRender={Component}
        id="accordion-container"
      />
    </div>
  );
};

export default PsAccordion;
